package com.dataguise.util;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

/**
 * Created by shiyanghuang on 17/11/28.
 */
public class PropertiesLoader {
    public void PropertiesLoader() {
        Properties prop = new Properties();
        ToolProp toolProp = new ToolProp();
        InputStream input = null;

        try {
            input = new FileInputStream("config.properties");

            // load a properties file
            prop.load(input);

            // get the property value and print it out
            toolProp.setUser(prop.getProperty("user"));
            toolProp.setConfPath(prop.getProperty("confpath"));
            toolProp.setInputPath(prop.getProperty("input"));
            toolProp.setOutputPath(prop.getProperty("output"));
            toolProp.setKeytabPath(prop.getProperty("keytabpath"));

        } catch (IOException ex) {
            ex.printStackTrace();
        } finally {
            if (input != null) {
                try {
                    input.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }
    }
}
