package com.dataguise.combinesmallfiles.avro;

import com.dataguise.combinesmallfiles.text.WordOffset;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.InputSplit;
import org.apache.hadoop.mapreduce.RecordReader;
import org.apache.hadoop.mapreduce.TaskAttemptContext;
import org.apache.hadoop.mapreduce.lib.input.CombineFileInputFormat;
import org.apache.hadoop.mapreduce.lib.input.CombineFileRecordReader;
import org.apache.hadoop.mapreduce.lib.input.CombineFileSplit;

import java.io.IOException;

/**
 * Created by shiyanghuang on 17/12/14.
 */
public class AvroCombineInputFormat extends CombineFileInputFormat<WordOffset, Text> {

    @Override
    public RecordReader createRecordReader(InputSplit inputSplit, TaskAttemptContext context) throws IOException {
        return new CombineFileRecordReader((CombineFileSplit)inputSplit, context, AvroCombineRecordReader.class);
    }
}
