package com.dataguise.combinesmallfiles.avro;

import org.apache.avro.generic.GenericRecord;
import org.apache.hadoop.mapreduce.InputSplit;
import org.apache.hadoop.mapreduce.RecordReader;
import org.apache.hadoop.mapreduce.TaskAttemptContext;
import org.apache.hadoop.mapreduce.lib.input.FileInputFormat;

import java.io.IOException;

/**
 * Created by shiyanghuang on 17/12/14.
 */
public class DgArvroInputFormat extends FileInputFormat<Integer, GenericRecord> {

    @Override
    public RecordReader<Integer, GenericRecord> createRecordReader(InputSplit inputSplit, TaskAttemptContext taskAttemptContext) throws IOException, InterruptedException {
        return new DgAvroRecordReader();
    }
}
