package com.dataguise.util;

import java.io.IOException;

/**
 * Created by shiyanghuang on 17/11/28.
 */
public class Kinit {
    private static boolean kinit( String keytabfile, String user) throws IOException {
        // String command="kinit -k -t hdfs.keytab hdfs/dglab12.dg.local@DGKERB.COM"; // command to get the user name from userId

        String command="kinit -k -t " +keytabfile + " "+  user; // command to get the user name from userId

        System.out.println("Command to run " +command);

        Process process = null;
        try {
            // System.out.println("starting kinit  with : " + command);
            process = Runtime.getRuntime().exec(command);
            process.waitFor();
            //System.out.println ("exit: " + process.exitValue());
            process.destroy();
            return true;
        } catch (Exception e) {
            System.out.println("Failed while running command kinit : " + e.getMessage());
            e.printStackTrace();
            return false;
        }
        finally{
            if (process!=null)
                process=null;
        }

    }
}
